> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetCallerIDs

POST https://api.voximplant.com/platform_api/GetCallerIDs

Gets the account callerIDs.

Allowed roles: `Owner`, `Admin`.

**Example request:** Get the two callerIDs.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/callerids/get-caller-i-ds

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetCallerIDs:
    post:
      operationId: get-caller-i-ds
      summary: GetCallerIDs
      description: |-
        Gets the account callerIDs.

        Allowed roles: `Owner`, `Admin`.

        **Example request:** Get the two callerIDs.
      tags:
        - subpackage_callerids
      parameters:
        - name: callerid_id
          in: query
          description: ID of the callerID object to filter
          required: false
          schema:
            type: integer
        - name: callerid_number
          in: query
          description: The phone number to filter
          required: false
          schema:
            type: string
        - name: active
          in: query
          description: Whether the account is active to filter
          required: false
          schema:
            type: boolean
        - name: order_by
          in: query
          description: >-
            The following values are available: 'caller_number' (ascent order),
            'verified_until' (ascent order)
          required: false
          schema:
            type: string
        - name: count
          in: query
          description: The max returning record count
          required: false
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          description: The first **N** records are skipped in the output
          required: false
          schema:
            type: integer
            default: 0
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/callerids_GetCallerIDs_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    CallerIDInfoType:
      type: object
      properties:
        callerid_id:
          type: integer
          description: The callerID id
        callerid_number:
          type: string
          description: The callerID number
        active:
          type: boolean
          description: Whether active
        code_entering_attempts_left:
          type: integer
          description: The code entering attempts left for the unverified callerID
        verification_call_attempts_left:
          type: integer
          description: The verification call attempts left for the unverified callerID
        verified_until:
          type: string
          description: >-
            Date string as returned by the Management API.


            The verification ending date in the following format: YYYY-MM-DD
            (for the verified callerID)
      description: The [GetCallerIDs] function result.
      title: CallerIDInfoType
    callerids_GetCallerIDs_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/CallerIDInfoType'
        total_count:
          type: integer
          description: The total found record count
        count:
          type: integer
          description: The returned record count
      title: callerids_GetCallerIDs_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetCallerIDs"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetCallerIDs';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetCallerIDs"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetCallerIDs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetCallerIDs")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetCallerIDs', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetCallerIDs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetCallerIDs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```